"""Create an XML Document"""

import sys
from xml.dom.minidom import parse, Document, Node

doc = Document ()
root = doc.createElement ("Data")
doc.appendChild (root)
text = doc.createTextNode ("\n  ")
root.appendChild (text)
elem = doc.createElement ("Head")
root.appendChild (elem)
elem.setAttribute ("var", "value")
text = doc.createTextNode ("\n  ")
root.appendChild (text)
elem = doc.createElement ("Entry")
root.appendChild (elem)
elem.setAttribute ("name", "first")
elem.setAttribute ("val", "Test 1")
text = doc.createTextNode ("\n    ")
elem.appendChild (text)
subelem = doc.createElement ("SubEntry")
elem.appendChild (subelem)
subelem.setAttribute ("test", "true")
text = doc.createTextNode ("\n      This is a Subentry\n    ")
subelem.appendChild (text)
text = doc.createTextNode ("\n  ")
elem.appendChild (text)
text = doc.createTextNode ("\n  ")
root.appendChild (text)
elem = doc.createElement ("Entry")
root.appendChild (elem)
elem.setAttribute ("name", "second")
elem.setAttribute ("val", "Test 2")
text = doc.createTextNode ("\n  ")
root.appendChild (text)
elem = doc.createElement ("Entry")
root.appendChild (elem)
elem.setAttribute ("name", "third")
elem.setAttribute ("val", "Test 3")
text = doc.createTextNode ("\n    This Entry has an empty Subentry\n    ")
elem.appendChild (text)
subelem = doc.createElement ("SubEntry")
elem.appendChild (subelem)
text = doc.createTextNode ("\n  ")
elem.appendChild (text)
text = doc.createTextNode ("\n")
root.appendChild (text)

print doc.toxml ()
doc.unlink ()
