import pygame, sys
import pygame.locals
import pygame.font
import pygame.cursors

MYEVENT = pygame.USEREVENT + 1

window = pygame.display.set_mode((640, 480))
pygame.display.set_caption('Kill Bill')
screen = pygame.display.get_surface() 
killbill_pic = pygame.image.load("killbill.png").convert()

pygame.time.set_timer (MYEVENT, 10)
bills_rect = killbill_pic.get_rect ()
pos = pos_x, pos_y = (550, 200)
size = width, height = bills_rect.size
vx, vy = (2, 3)

screen.blit(killbill_pic, pos) 
pygame.display.flip()
hit = 0


maus_strings = (               #sized 24x24
    "XXXXXXXXXXXXXXXXXXXXXXXX",
    "XX                    XX",
    "XXX                  XXX",
    "XX X                X XX",
    "XX  X              X  XX",
    "XX   X            X   XX",
    "XX    X          X    XX",
    "XX     X        X     XX",
    "XX      X      X      XX",
    "XX       X    X       XX",
    "XX        ....        XX",
    "XX         ..         XX",
    "XX         ..         XX",
    "XX        ....        XX",
    "XX       X    X       XX",
    "XX      X      X      XX",
    "XX     X        X     XX",
    "XX    X          X    XX",
    "XX   X            X   XX",
    "XX  X              X  XX",
    "XX X                X XX",
    "XXX                  XXX",
    "XX                    XX",
    "XXXXXXXXXXXXXXXXXXXXXXXX")


data, mask = pygame.cursors.compile(maus_strings, 'X', '.')
pygame.mouse.set_cursor ((24, 24), (1, 1), data, mask)


while True:
    events = pygame.event.get()
    for event in events: 
        if event.type == pygame.QUIT: 
            sys.exit(0) 
        if event.type == pygame.KEYDOWN: 
            sys.exit(0) 
        elif event.type == pygame.MOUSEBUTTONDOWN:
            x, y = event.pos
            if (x > pos_x) and (x < pos_x + width) and (y > pos_y) and (y < pos_y + height):
                hit = hit + 1
            if hit > 1:
                pygame.time.set_timer(MYEVENT, 0)
                pygame.font.init()
                f = pygame.font.SysFont ("courier", 50)
                b = f.render ("You killed Bill!!!11", True, (0xff, 0, 0))
                screen.blit(b, (100, 100))
                pygame.display.flip()
                pygame.font.quit()
        elif event.type == MYEVENT:
            screen.fill((0, 0, 0), (pos, size))
            pos_x = pos_x + vx
            pos_y = pos_y + vy
            if pos_x < 0:
                pos_x = -pos_x
                vx = -vx
            elif (pos_x + width) > 640:
                pos_x = pos_x - ((pos_x + width) - 640)
                vx = -vx
            if pos_y < 0:
                pos_y = -pos_y
                vy = -vy
            elif pos_y + height > 480:
                pos_y = pos_y - ((pos_y + height) - 480)
                vy = -vy
            pos = (pos_x, pos_y)
            screen.blit(killbill_pic, pos) 
            pygame.display.flip()
